# web port
server.port=${SERVER_PORT:8080}
# no web
spring.main.web-environment=${SPRING_MAIN_WEB_ENVIRONMENT:true}

# log config
logging.config=classpath:logback.xml


### xxl-job admin address list, such as "http://address" or "http://address01,http://address02"
xxl.job.admin.addresses=${XXL_JOB_ADMIN_ADDRESSES:http://127.0.0.1:8080/xxl-job-admin}

### xxl-job, access token
xxl.job.accessToken=${XXL_JOB_ACCESSTOKEN}

### xxl-job executor appname
xxl.job.executor.appname=${XXL_JOB_EXECUTOR_APPNAME:xxl-job-executor}
### xxl-job executor registry-address: default use address to registry , otherwise use ip:port if address is null
xxl.job.executor.address=${XXL_JOB_EXECUTOR_ADDRESS}
### xxl-job executor server-info
xxl.job.executor.ip=${XXL_JOB_EXECUTOR_IP}
xxl.job.executor.port=${XXL_JOB_EXECUTOR_PORT:9999}
### xxl-job executor log-path
xxl.job.executor.logpath=${XXL_JOB_EXECUTOR_LOGPATH:/data/applogs/xxl-job/jobhandler}
### xxl-job executor log-retention-days
xxl.job.executor.logretentiondays=${XXL_JOB_EXECUTOR_LOGRETENTIONDAYS:30}
